#
# spec file for package perl-DBD-mysql (Version 4.013)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           perl-DBD-mysql
BuildRequires:  mysql-devel >= 5.1 perl-DBI perl-Data-ShowTable
URL:            http://cpan.org/modules/by-module/DBD/
License:        Artistic License
Group:          Development/Libraries/Perl
Obsoletes:      mysqperl perl-Msql-Mysql-modules
Provides:       mysqperl perl-Msql-Mysql-modules
Requires:       perl-DBI perl-Data-ShowTable
Requires:       perl = %{perl_version}
Autoreqprov:    on
Version:        4.013
Release:        2.5
Summary:        Interface to the MySQL database
Group:          Development/Libraries/Perl
Source:         http://www.cpan.org/modules/by-module/Mysql/DBD-mysql-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define _prefix /usr

%description
A Perl5 Database Interface to the MySQL database



Authors:
--------
    Jochen Wiedmann <joe@ispsoft.de>

%prep
%setup -q -n DBD-mysql-%{version}
chmod a-x ChangeLog README INSTALL.html

%build
perl Makefile.PL --verbose
make
#make test

%install
%perl_make_install
%perl_process_packlist
chmod a-x $RPM_BUILD_ROOT/%{perl_vendorarch}//Bundle/DBD/mysql.pm
chmod a-x $RPM_BUILD_ROOT/%{perl_vendorarch}/DBD/mysql.pm
chmod a-x $RPM_BUILD_ROOT/%{perl_vendorarch}/DBD/mysql/INSTALL.pod

%clean
# Clear up the mess
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc ChangeLog README INSTALL.html TODO
%doc %{_mandir}/man?/*
%{perl_vendorarch}/auto/DBD
%{perl_vendorarch}/Bundle/DBD
%{perl_vendorarch}/DBD
/var/adm/perl-modules/perl-DBD-mysql

%changelog
* Tue Dec 22 2009 Carsten Schoene <cs@linux-administrator.com> - 4.013-1
- update to release 4.013

* Mon Jun 11 2007 - anicka@suse.cz
- update to 4.005
  * Replaced all references to dbis to use imp_xxh
  per DBI best practices
  * Fix to dbd_st_destroy
  * Removed all 'FindNewTable' calls in all tests.
  * Better 'skip test' logic in some tests that were still
  running when they shouldn't have been.
- fix permissions of various files
* Fri Mar 30 2007 - anicka@suse.cz
- update to 4.004
  * Work around a bug in old 3.23 servers by specifying NOT NULL
  for fields used as a primary key in tests.
  * Add support for mysql_warning_count statement handle attribute.
  * Add support for mysql_multi_statements connection option.
  * UTF8-Flag not set with flag mysql_enable_utf8 and column
  collation utf8_bin patch,
  * Fixed do_error definition
  * Conversion of test suite to Test::More
  * Fix inclusion of non-primary keys in primary_key_info.
* Fri Mar 02 2007 - anicka@suse.cz
- update to 4.002
  * Rewrote table_info method to support all arguments
  * Add mysql_is_auto_increment to results of column_info().
  * Add implementation of foreign_key_info()
  * bugfixes
* Tue Jan 09 2007 - anicka@suse.cz
- update to 4.001
  * Fix handling of unsigned integer values in result sets when
  using server-side prepared statements.
  * Do not tell Perl that the contents of binary fields are UTF-8.
  * Fix double-free of bound parameters when freeing statements.
  * Make sure to handle "magical" values in a couple of places.
  * Update the hints about what to do when zlib is found missing
  while linking.
  * Explicitly initialize the MySQL client library to avoid
  possible race conditions in a multithreaded application.
  * Fix warning when no connection attributes are passed
  to the connect method.
  * Removed redundant warnings when commit or rollback
  is called while AutoCommit is enabled.
  * Report correct type for decimal columns from MySQL 5.0 and later
  * Fix t/40bindparam.t to work when ANSI_QUOTES SQL_MODE is set.
  * Return a statement handle with an error when column_info is
  called on a table that does not exist.
  * Fix handling of table names with characters that did not
  match /\w/ in the column_info method.
  * Fix handling of negative integers bound to a column marked
  as SQL_INTEGER.
  * Add support for the primary_key_info method.
  * Fixed Bundle::DBD::mysql to only include modules required
  for using DBD::mysql, not the old Mysql package.
  * Updated Makefile.PL to not include files in .svn directories
  * Fixed various compile warnings in mysql.xs (ISO C)
  * Cleaned up stored procedure examples, made strict
  * Fixed bug that blew away subsequent result sets if you
  fetched all rows, only in result sets that had more
  than one row.
  * Added test for bug #14979
  http://rt.cpan.org/Ticket/Display.html?id=14979
  * Tested with ALL mysql versions, fixed 40types, 40bind_param
  tests to work with 4.0, 4.1
  * Fixed dbdimp.c to not test for MYSQL_DATA_TRUNCATED
  unless >= mysql 5.0
* Tue Jan 02 2007 - anicka@suse.cz
- update to 4.00
  * fixed varying number of columns in multiple result sets
  * reworked patch for sqlstate
  * cleaned up much code that failed between versions
  * Tested this with 5.1, 5.0, 4.1, 4.0.
  * added fbind and bind alloc to dbd_st_describe. This was
  causing a crash when using with mod_perl
* Thu Oct 19 2006 - anicka@suse.cz
- update to 3.0008
  * Added multiple fixes to dbd_st_prepare which fixed variable
  overwrite and unset increment counter. Also improved loop which
  checks statements for presence of "LIMIT" by using a pointer
  as opposed to char array increment variable.
  * Fixed declaration of "row" in mysql_st_internal_execute
  which caused compile errors on some platforms
  * Fixed casting of num_params to unsigned int in calls to NewZ
  in mysql.xs
* Wed Sep 13 2006 - anicka@suse.cz
- update to 3.0007
  * bugfixes
  * Cleaned up tests to make sure test table is dropped
  at end of test.
* Thu Jul 13 2006 - anicka@suse.cz
- update to 3.0006
  * many bugfixes
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Sep 28 2005 - dmueller@suse.de
- add norootforbuild
* Fri Jul 29 2005 - mjancar@suse.cz
- update to 3.0002
* Thu Aug 19 2004 - mjancar@suse.cz
- update to 2.9004
* Wed Mar 31 2004 - kukuk@suse.de
- Replace perl-Msql-Mysql-modules
* Mon Mar 08 2004 - mjancar@suse.cz
- new package to replace perl-Msql-Mysql-modules
